# TODO: switch to gtk4-update-icon-cache
Summary:	Map application for GNOME
Summary(pl.UTF-8):	Mapa dla GNOME
Name:		gnome-maps
Version:	48.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-maps/48/%{name}-%{version}.tar.xz
# Source0-md5:	6febb33475b0b1f30306e892902773e7
URL:		https://apps.gnome.org/Maps/
BuildRequires:	geoclue2-devel >= 0.12.99
BuildRequires:	geocode-glib2-devel >= 3.26
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel >= 1.69.2
BuildRequires:	glib2-devel >= 1:2.66.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gtk4-devel >= 4.10
BuildRequires:	json-glib-devel
BuildRequires:	libadwaita-devel >= 1.7
# soup3 based
BuildRequires:	libgweather4-devel >= 4.0
BuildRequires:	libportal-devel
BuildRequires:	librsvg-devel >= 2.0
# soup3 based
BuildRequires:	libshumate-devel >= 1.4
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.61.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rest1-devel >= 0.9
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.66.0
Requires(post,postun):	gtk-update-icon-cache
# see src/main.js for GI dependencies
Requires:	cairo >= 1.0
Requires:	gdk-pixbuf2 >= 2.0
Requires:	geoclue2 >= 0.12.99
Requires:	geocode-glib2 >= 3.26
Requires:	gjs >= 1.69.2
Requires:	glib2 >= 1:2.66.0
Requires:	gnome-online-accounts >= 1.0
Requires:	gtk4 >= 4.10
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.7
Requires:	libgweather4 >= 4.0
Requires:	libshumate >= 1.4
Requires:	libsoup3 >= 3
Requires:	rest1 >= 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Maps is a simple map application for the GNOME desktop.

%description -l pl.UTF-8
GNOME Maps to prosta aplikacja dla środowiska GNOME służąca do obsługi
map.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/gnome-maps
%dir %{_libdir}/gnome-maps
%attr(755,root,root) %{_libdir}/gnome-maps/libgnome-maps.so*
%dir %{_libdir}/gnome-maps/girepository-1.0
%{_libdir}/gnome-maps/girepository-1.0/GnomeMaps-1.0.typelib
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%dir %{_datadir}/gnome-maps
%dir %{_datadir}/gnome-maps/gir-1.0
%{_datadir}/gnome-maps/gir-1.0/GnomeMaps-1.0.gir
%attr(755,root,root) %{_datadir}/gnome-maps/org.gnome.Maps
%{_datadir}/gnome-maps/org.gnome.Maps.*.gresource
%{_datadir}/gnome-maps/icons
%{_datadir}/gnome-maps/maps-service.json
%{_datadir}/metainfo/org.gnome.Maps.appdata.xml
%{_desktopdir}/org.gnome.Maps.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Maps.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Maps-symbolic.svg
%changelog
* Sun Jun 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-maps.git;a=log;h=master

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 76ccc94
- updated to 48.4

* Sun Jun 01 2025 Jakub Bogusz <qboosh@pld-linux.org> 2f71b5d
- updated to 48.3

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 674c161
- updated to 48.2

* Thu Apr 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 774eee0
- updated to 47.6

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> bf3825d
- updated to 47.5

* Mon Feb 03 2025 Jakub Bogusz <qboosh@pld-linux.org> ffdb26a
- updated to 47.4

* Sun Jan 12 2025 Jakub Bogusz <qboosh@pld-linux.org> 9decdcd
- updated to 47.3

* Sat Nov 23 2024 Jakub Bogusz <qboosh@pld-linux.org> d832bc5
- updated to 47.2

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> a77cf99
- updated to 47.1

* Sat Sep 14 2024 Jakub Bogusz <qboosh@pld-linux.org> 0f2d488
- updated to 47.0

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 9d31522
- updated to 46.11

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 7c637e0
- updated to 46.10

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> e5a4069
- updated to 45.5

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 8b8a91c
- updated to 45.4

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> e0fe244
- updated o 45.3

* Tue Dec 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fc2fd6
- updated to 45.2

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> b4bd6dd
- updated to 45.1

* Thu Oct 26 2023 Jakub Bogusz <qboosh@pld-linux.org> ad3022d
- updated to 44.5

* Wed Aug 30 2023 Jakub Bogusz <qboosh@pld-linux.org> ce65b0f
- updated to 44.4

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> d829a7e
- updated to 44.3

